# Uses of Class
org.springframework.aop.support.AbstractRegexpMethodPointcut

Packages that use AbstractRegexpMethodPointcut
Package
Description
org.springframework.aop.support
Convenience classes for using Spring's AOP API.

## Uses of AbstractRegexpMethodPointcut in org.springframework.aop.support

Subclasses of AbstractRegexpMethodPointcut in org.springframework.aop.support
Modifier and Type
Class
Description
`class`
`JdkRegexpMethodPointcut`
Regular expression pointcut based on the `java.util.regex` package.
Methods in org.springframework.aop.support that return AbstractRegexpMethodPointcut
Modifier and Type
Method
Description
`protected AbstractRegexpMethodPointcut`
RegexpMethodPointcutAdvisor.`createPointcut()`
Create the actual pointcut: By default, a `JdkRegexpMethodPointcut` will be used.